/*  ---- Global Elements  ---- */
*,
*:before,
*:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body {
  border: 0;
  padding: 0;
  margin: 0;
  background-color: #f8f8f8;
  color: #101010;
  font-size: 1rem;
  font-family: Courier, monospace;
  line-height: 2rem;
  font-display: optional;
}

body {
  opacity: 0;
  transition: opacity 0.25s ease-in-out;
}

hr {
  border: 0;
  border-bottom: 0.1px solid #707070;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  text-transform: uppercase;
  font-family: sans-serif;
  opacity: 0.7;
  font-size: 1rem;
  padding: 1rem 0 1rem 1rem;
  margin: 3rem 0 0 0;
  background-color: #696969;
}

h1 {
  background-color: #707070;
  font-size: 1.5rem;
}

h2 {
  background-color: #787878;
  font-size: 1.4rem;
}

h3 {
  background-color: #808080;
  font-size: 1.3rem;
}

h4 {
  background-color: #888888;
  font-size: 1.2rem;
}

h5 {
  background-color: #909090;
  font-size: 1.1rem;
}

h6 {
  background-color: #989898;
  font-size: 1rem;
}

h1:first-of-type,
h2:first-of-type,
h3:first-of-type,
h4:first-of-type,
h5:first-of-type,
h6:first-of-type {
  margin: 0;
}

p {
  font-family: Courier, monospace;
  padding: 0 3rem 0 3rem;
}

ol,
ul {
  width: 80%;
  margin: 0 auto 0 auto;
  padding: 1rem 3rem 0 3rem;
}

li {
  margin: 0 0 1rem 0;
  padding: 0;
}

li p {
  margin: 0 0 1rem 0;
  padding: 0;
}

footer {
  position: relative;
  display: flex;
  width: 100vw;
  max-width: 60rem;
  margin: auto;
  color: #4d4d4d;
  text-align: center;
  font-size: 0.7rem;
  justify-content: center;
  bottom: -5rem;
}

footer a {
  color: rgb(255, 0, 174);
  text-decoration: none;
}

footer a:hover {
  color: #101010;
}

img {
  display: block;
  max-width: 80%;
  margin: 0 auto;
  padding: 0;
}

blockquote {
  color: #7c7497;
  border-left: 4px solid #321d7b0d;
  font-style: italic;
  max-width: 92%;
  margin-left: 3rem;
  font-weight: 0.5rem;
}

blockquote p {
  color: #7c7497;
}

table {
  max-width: 70%;
  margin: 1rem auto 1rem auto;
  padding: 0;
}

td,
th {
  border: 1px solid #d3cfcf;
  margin: 0;
}

th {
  background-color: #f8f8f8;
}

pre {
  background-color: #f4f4f4;
  margin: auto;
  width: 90%;
  border-radius: 0.3rem;
  color: #3821a2;
  padding: 1rem;
}

code {
  border-radius: 0.3rem;
  font-size: 0.8rem;
  background-color: #f4f4f4;
  padding: 1rem;
}

/*  ---- Custom Classes  ---- */
.wrapper {
  display: flex;
}

.inlineVideo,
.inlineImage {
  border: 1px solid #eeeeee;
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin: 1rem auto;
  max-width: 70%;
}

.caption {
  opacity: 0.5;
  margin-top: 0.5rem;
  font-size: 0.8rem;
}

.logo {
  font-family: sans-serif;
  text-transform: uppercase;
  color: black;
  position: relative;
  margin-right: 1rem;
  font-weight: 900;
}

.logo a:hover {
  color: red;
}

/*  ---- Custom Classes: Content  ---- */
.content {
  position: relative;
  top: 5rem;
  margin: auto;
  padding: 0 0 0 0;
  width: 100vw;
  max-width: 60rem;
  min-height: calc(100vh - 7rem);
  background-color: white;
  overflow: scroll;
  width: 100vw;
}

.content a {
  color: #ff21ff;
  text-decoration: none;
}

.content a:hover {
  background-color: #1ffe23;
  color: white;
  text-decoration: none;
}

/*  ---- Custom Classes: Gallery ---- */
.gallery {
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: auto;
  width: 86%;
  padding: 0;
}

.galleryActions {
  width: 100%;
  padding: 0;
  margin: 0;
  text-align: right;
}

.galleryActionButton{
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: right;
}

.gallery img {
  display: flex;
  all: revert;
  padding: 0;
  margin: 0.2rem;
}

.gallery a {
  all: revert;
  display: flex;
}

.gallery a:hover {
  background-color: transparent;
  transform: scale(1.1);
}

/*  ---- Custom Classes: Navbar  ---- */
#navbar {
  font-family: sans-serif;
  font-size: 1rem;
  position: fixed;
  display: none;
  width: 100vw;
  z-index: 1;
  padding: 0 0 0 1rem;
  margin: auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  color: #22222222;
  background-color: white;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  height: 4rem;
}

#navbar a {
  color: rgb(255, 0, 174);
  text-decoration: none;
  padding: 0 0 0 0.2rem;
}

#navbar a::after {
  content: " |";
  color: #838383;
}

#navbar a:last-of-type::after {
  content: "";
}

#navbar a:hover {
  color: #101010;
}

/* ---- Mobile ---- */
#burger {
  position: fixed;
  display: none;
  z-index: 1;
  width: 100vw;
  height: 4rem;
  align-items: center;
}

#burger .button {
  font-weight: 900;
  font-size: 2rem;
  letter-spacing: -0.8rem;
  margin: 0.2rem 1.5rem 1rem 1rem;
  transform: rotate(90deg);
  color: #ff21ff;
}

@media only screen and (max-width: 845px) {
  .content {
    top: 0;
    position: relative;
    padding: 4rem 0 0 0;
    margin: 0;
    font-size: 0.9rem;
    line-height: 1.4rem;
    min-height: calc(100vh - 2rem);
  }

  #burger {
    display: flex;
    align-items: center;
    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  }

  #navbar {
    display: none;
    position: fixed;
    z-index: 1;
    height: 14rem;
    top: 3.5rem;
    padding: 1rem 0 0 0;
    margin: 0;
    flex-direction: column;
    text-align: left;
    justify-content: left;
    background-color: #ff21ff;
    color: white;
    font-size: 1.5rem;
    width: 100vw;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  }

  #navbar .spacer {
    display: none;
  }

  #navbar a {
    color: white;
    width: 100vw;
    text-align: center;
    margin: 0 0 1rem 0;
  }

  #navbar a:hover {
    background-color: white;
  }

  #navbar a::after {
    content: "";
  }

  #navbar .link {
    padding: 0.2rem 0 0.2rem 0;
  }

  #burger .logo {
    flex-grow: 1;
    margin-left: 1rem;
  }

  #navbar .logo {
    display: none;
  }

  blockquote {
    margin: 0 0 1rem 1rem;
  }

  footer {
    bottom: 0rem;
  }
}

/* https://cssloaders.github.io/ */
.spinner {
  margin-top: 1rem;
  width: 5rem;
  height: 5rem;
  border-radius: 50%;
  position: absolute;
  animation: rotate 1s linear infinite;
  left: calc(50% - 2.5rem);
}

.spinner::before,
.spinner::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  inset: 0px;
  border-radius: 50%;
  border: 5px solid #fff;
  animation: prixClipFix 2s linear infinite;
}

.spinner::after {
  inset: 8px;
  transform: rotate3d(90, 90, 0, 180deg);
  border-color: #393939;
}

.downloadable {
  width: 18rem;
  margin: 0 0.5rem 1rem 0.5rem;
}

@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes prixClipFix {
  0% {
    clip-path: polygon(50% 50%, 0 0, 0 0, 0 0, 0 0, 0 0);
  }

  50% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 0, 100% 0, 100% 0);
  }

  75%,
  100% {
    clip-path: polygon(50% 50%, 0 0, 100% 0, 100% 100%, 100% 100%, 100% 100%);
  }
}